package learn.android.serviceexample

import android.app.IntentService
import android.content.Intent
import android.media.MediaPlayer
import android.util.Log

class MyIntentService : IntentService("MyIntentService") {
    private val LOG = "MyIntentService"
    lateinit var mMp: MediaPlayer

    override fun onCreate() {
        super.onCreate()
        Log.d(LOG, "onCreate()")
        mMp = MediaPlayer.create(this, R.raw.cans_in_bag)
    }

    override fun onStartCommand(intent: Intent?, flags: Int, startId: Int): Int {
        super.onStartCommand(intent, flags, startId)
        Log.d(LOG, "onStartCommand()")
        return START_NOT_STICKY
    }

    override fun onHandleIntent(intent: Intent?) {
        Log.d(LOG, "onHandleIntent()")
        mMp.start()
    }

}
